Skip to main content
POST
Nano Banana Pro

Headers

Authorization
string

Body

application/json
prompt
string
required

Text prompt describing the image.

Required string length: 1 - 2000
ratio
enum<string>

Aspect ratio.

Available options:
auto,
1:1,
16:9,
9:16,
4:3,
3:4,
2:3,
3:2,
4:5,
5:4,
21:9
image_size
enum<string>
default:1k

Output resolution. Pricing (tokens/image): 1k: 7, 2k: 7, 4k: 12.

Available options:
1k,
2k,
4k

Enable web search grounding.

custom_callback_url
string<uri>

Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.

Example:

"https://your-server.com/goenhance/callback"

Response

code
integer
required
msg
string
required
data
object
required